<div class="col-md-auto col-sm-auto mx-0">
  <div class="section-title">
    <h2 >{{'LATEST_DOCUMENT' | translate}}</h2>
  </div>
</div>
<div *ngFor="let document of listDoc" class="my-3 mx-3 doc-info-container" style="white-space: normal; overflow-wrap: anywhere;">
  <div class="py-2 px-3 cus-box-doc-datas">
    <div class="d-flex flex-column">
      <div class="p-1 d-flex justify-content-between cus-line-separator">
        <h3 class="m-0 text-blue-primary" style="max-width: 65%;">
          <b>{{document.categoryName}}</b>
        </h3>
        <p class="text-blue-primary mat-small"><b>{{document?.createdDate | date:"dd/MM/yyyy"}}</b></p>
      </div>
      <div class="p-1 pt-2">
        <b class="text-blue-primary">{{document.name}}
          <!-- <span *ngIf="document.description != null && document.description != ''">
            &nbsp; &#x268A; &nbsp;
            <span style="white-space: pre-wrap;" [innerHTML]="document.description"></span>
          </span> -->
        </b>
      </div>
      <p *ngIf="document.description != null && document.description != ''" class="px-1 py-0 mb-2" style="white-space: pre-wrap;" [innerHTML]="document.description"></p>
      <div class="p-1 d-flex justify-content-between">
        <p class="my-auto text-blue-primary mat-small" style="max-width: 75%;"><b>{{document.analyst}}</b></p>
        <div>
          <button class="btn btn-sm btn-primary d-flex align-items-center ml-2" (click)="onDocumentView(document)" type="button">
            <mat-icon class="small text-white d-flex align-items-center justify-content-center icon-view-doc">visibility</mat-icon>
            <span>{{'VIEW' | translate}}</span>
        </button>
        </div>
      </div>
    </div>
  </div>
</div>

